com.smartgwt.client.docs

## Interface Npmjs

-     public interface Npmjs

  ### NPMJS Support

  Smart GWT client-side resources - the JavaScript runtime, skins, and schema - can be installed and updated via npmjs. Select the appropriate package based on your licensing:
  - smartclient-lgpl
  - smartclient-eval
  - smartclient-pro
  - smartclient-power
  - smartclient-enterprise
  To install one these packages, use:

          npm install <package name> [flags]

  where the flags are as follows:

  location | string | A path specifying where to install the Smart GWT runtime(s). Default is to place the runtime root directory (isomorphic) in the parent of the `node_modules` directory containing the package.
  branch | number | Desired branch (e.g. 11.1). Default is the latest release.
  date | string in the format YYYY-MM-DD | 'latest' | Desired date. Default is 'latest'.
  runtime | 'release' | 'debug' | 'both' | Desired runtime(s) to install. Default is 'both'.
  skins | boolean | Whether to install all skins or not. Default is to only install Tahoe.
  username | string | The username for your Smart GWT account. Required for the Pro, Power, and Enterprise packages, and available subject to your licensing.
  password | string | The password for your Smart GWT account. Required for the Pro, Power, and Enterprise packages, and available subject to your licensing.
  analytics | boolean | Whether to install the optional `Analytics Module`. Only available for the Power, and Enterprise packages, subject to your licensing.
  rtm | boolean | Whether to install the optional `RealtimeMessaging Module`. Only available for the for the Power, and Enterprise packages, subject to your licensing.

  After installation, command-line configuration is persisted, so command-line arguments only need to be supplied when updating if the desired configuration has changed. If a username and password aren't supplied via the above options, you will be prompted to enter them by the update script. A password typed in response to the script won't be persisted to your configuration, so you may choose to always enter it interactively for security.

  ## Updating

  Since 'npm update' no longer runs a package's update script, which we need to download and install the runtime(s) from our website, you must instead run the following from the directory of your installed Smart GWT package (e.g. smartclient-eval):

             npm run update [flags]

  The supported flags are the same as during installation.

  ## Examples

  New install, selecting a specific branch and date:

          npm install smartclient-eval --branch=11.1 --date=2018-12-30

  Update to latest nighlty build (run from package directory):

          npm run update --date=latest

  Update to Smart GWT 12.0 branch, installing all skins:

          npm run update --branch=12.0 --skins

  See Also:
    `com.smartgwt.client.docs.IscInstall`